---
title: JavaScript error reference
slug: Web/JavaScript/Reference/Errors
tags:
  - Debugging
  - Errors
  - Exception
  - JavaScript
  - Landing page
  - exceptions
---
<p>{{jsSidebar("Errors")}}</p>

<p>Below, you'll find a list of errors which are thrown by JavaScript. These errors can be a helpful debugging aid, but the reported problem isn't always immediately clear. The pages below will provide additional details about these errors. Each error is an object based upon the {{jsxref("Error")}} object, and has a <code>name</code> and a <code>message</code>.</p>

<p>Errors displayed in the Web console may include a link to the corresponding page below to help you quickly comprehend the problem in your code.</p>

<p>For a beginner's introductory tutorial on fixing JavaScript errors, see <a href="/en-US/docs/Learn/JavaScript/First_steps/What_went_wrong">What went wrong? Troubleshooting JavaScript</a>.</p>

<h2 id="List_of_errors">List of errors</h2>

<p>In this list, each page is listed by name (the type of error) and message (a more detailed human-readable error message). Together, these two properties provide a starting point toward understanding and resolving the error. For more information, follow the links below!</p>

<p>{{ListSubPages("/en-US/docs/Web/JavaScript/Reference/Errors")}}</p>
